# OTGlobalConfig | opentoken
Documentation for opentoken

Interface containing all config properties for opentoken

### Hierarchy

- OTGlobalConfig

## Index

### Properties

- dryrun
- force
- htmlPath
- inFileMail
- mail
- mailFrom
- outFileMatch
- usedMails
- usedTokens

## Properties

### dryrun

dryrun: boolean

- Defined in src/config.type.ts:43

switch for dryrun

### force

force: boolean

- Defined in src/config.type.ts:45

switch for force

### Optional htmlPath

htmlPath: undefined | string

- Defined in src/config.type.ts:35

path to file containing mail template

### Optional inFileMail

inFileMail: undefined | string

- Defined in src/config.type.ts:33

path to file containing mails

### mail

mail: SMTPTransport

- Defined in src/config.type.ts:27

nodemailer SMTP configuration

### mailFrom

mailFrom: string

- Defined in src/config.type.ts:29

sender alias

### outFileMatch

outFileMatch: string

- Defined in src/config.type.ts:31

path to file containing matches

### Optional usedMails

usedMails: MLItem []

- Defined in src/config.type.ts:40

List of used mail adresses

### Optional usedTokens

usedTokens: string[]

- Defined in src/config.type.ts:38

List of used tokens

Generated using TypeDoc